package rest

import "testing"

func Test_generateFieldName(t *testing.T) {
	type args struct {
		name string
	}
	tests := []struct {
		name string
		args args
		want string
	}{
		{"1", args{name: "id"}, "Id"},
		{"2", args{name: "queue_stamp"}, "Queue Stamp"},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if got := generateFieldName(tt.args.name); got != tt.want {
				t.Errorf("generateFieldName() = %v, want %v", got, tt.want)
			}
		})
	}
}
